Skip to main content
`Ctrl`+`K`

# TSARKIMEXSetType

Set the type of `TSARKIMEX` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXSetType(TS ts, TSARKIMEXType arktype)

Logically Collective

## Input Parameters

- ts - timestepping context

- arktype - type of `TSARKIMEX` scheme

## Options Database Key

- -ts_arkimex_type (1bee|a2|l2|ars122|2c|2d|2e|prssp2|3|bpr3|ars443|4|5) - set `TSARKIMEX` scheme type, see `TSARKIMEXType`

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEXGetType()`, `TSARKIMEX`, `TSARKIMEXType`, `TSARKIMEX1BEE`, `TSARKIMEXA2`, `TSARKIMEXL2`, `TSARKIMEXARS122`, `TSARKIMEX2C`, `TSARKIMEX2D`, `TSARKIMEX2E`, `TSARKIMEXPRSSP2`, `TSARKIMEX3`, `TSARKIMEXBPR3`, `TSARKIMEXARS443`, `TSARKIMEX4`, `TSARKIMEX5`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Examples

src/ts/tutorials/ex36.c
src/ts/tutorials/extchem.c
src/ts/tutorials/extchemfield.c

## Implementations

TSARKIMEXSetType_ARKIMEX() in src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages